#!/bin/bash

DIR="/Library/Fonts"
LOG=$(cd $(dirname $0);pwd)/showa.log
HOST=`hostname`

cat <<EOF > $LOG
$HOST
$(date)
EOF

readonly FILE_LIST=(
    "FOT-KsoAkebono.otf"
    "FOT-KsoBasakoro.otf"
    "FOT-KsoByakko.otf"
    "FOT-KsoFuraibou.otf"
    "FOT-KsoGenbu.otf"
    "FOT-KsoGinryu.otf"
    "FOT-KsoGokubutokaisho.otf"
    "FOT-KsoGoryuNew.otf"
    "FOT-KsoGyosho.otf"
    "FOT-KsoHannya.otf"
    "FOT-KsoHiryu.otf"
    "FOT-KsoJinba.otf"
    "FOT-KsoJukaku.otf"
    "FOT-KsoKaisho.otf"
    "FOT-KsoKanteiryu.otf"
    "FOT-KsoKouryu.otf"
    "FOT-KsoRaijin.otf"
    "FOT-KsoReisho.otf"
    "FOT-KsoShinryu.otf"
    "FOT-KsoYuai.otf"
    )

for FILE in "${FILE_LIST[@]}"
do
    find $DIR -type f -name $FILE -exec rm -v {} >> $LOG 2>&1 \;
done